
# Table of Contents

1.  [FI printers via Samba](#org746f625)
    1.  [Advantages](#orgf4392e4)
    2.  [Disadvantages](#orgcb9b557)
    3.  [Pre-requirements](#org3e0a2f0)
        1.  [Warning](#org3500a46)
    4.  [Usage](#org43e57fc)
        1.  [Available printers](#org0c221ba)
    5.  [Repository structure](#orgb51f681)


<a id="org746f625"></a>

# FI printers via Samba

Script for installing faculty printers on Linux via Samba print server.


<a id="orgf4392e4"></a>

## Advantages

-   You can print on WiFi using Samba. (With unauthenticated IPP printing you are allowed to only print via Ethernet cable.)
-   You can add a FI printer to your existing CUPS instance. This way, you don&rsquo;t have to switch configurations.
-   You don&rsquo;t need to have the same login on your computer as your faculty login.


<a id="orgcb9b557"></a>

## Disadvantages

-   Printers have to be installed one by one.
-   This is not the prefered way of printing on fi. (Prefered way is via Kerberos.)


<a id="org3e0a2f0"></a>

## Pre-requirements

-   root access (or sudo)
-   running local [CUPS](https://www.cups.org/) print server
-   Samba client (`smbclient`)
-   Python2 for `copy4a` and `copy5b`


<a id="org3500a46"></a>

### Warning

If you are printing with unauthenticated IPP or Kerberized IPP, you will have to remove client configuration file for CUPS, which is located at `/etc/cups/client.conf`.


<a id="org43e57fc"></a>

## Usage

Usage: `./install.pl <printer-name>` , where `<printer-name>` is a valid printer name.
For example, to install printer `lj2b` run 

    ./install.pl lj2b

After running the script, you will be prompted for you faculty login(username and password).


<a id="org0c221ba"></a>

### Available printers

Currently available printers:

-   copy2a
-   copy3a
-   copy4a
-   copy4b
-   copy4c
-   copy5b
-   copy5c
-   lj2a
-   lj2b
-   lj3a
-   lj-a302
-   lj3b
-   lj4a
-   lj4c
-   lj4p
-   lj5c

You can find out more information on <https://www.fi.muni.cz/tech/unix/print.html>.


<a id="orgb51f681"></a>

## Repository structure

<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<thead>
<tr>
<th scope="col" class="org-left">File</th>
<th scope="col" class="org-left">Description</th>
</tr>
</thead>

<tbody>
<tr>
<td class="org-left"><code>install.pl</code></td>
<td class="org-left">main install script</td>
</tr>


<tr>
<td class="org-left"><code>filters</code></td>
<td class="org-left">folder with filters for CUPS</td>
</tr>


<tr>
<td class="org-left"><code>ppds</code></td>
<td class="org-left">folder with PPDs for CUPS</td>
</tr>


<tr>
<td class="org-left"><code>PyPDF2</code> and <code>reportlab</code></td>
<td class="org-left">folder with Python 2 dependencies for <code>TA5007ci</code></td>
</tr>
</tbody>
</table>

